.tx-a7consent
{ background: #c6d7ff; overflow: hidden; }

.tx-a7consent .condition
{ margin: 1em; transition: height 0.3s, margin 0.3s; }

.tx-a7consent.checkbuttons .condition.consented
{ height: 0 !important; margin-top: 0; margin-bottom: 0; overflow: hidden; }

.tx-a7consent.checkbuttons .checkbox
{ display: none; }

.tx-a7consent.checkbuttons > button
{ display: none; }

#a7consent-selection-show
{ display: none; }

.mfp-content #a7consent-selection-show
{ display: block; }

.consent-selection-wrap
{ margin: 1em; }

#a7consent-selection-show
{ contain: layout; background: #ffffff; max-width: 800px; box-shadow: 0 0.5em 1em rgba(0,0,0,0.5); border-radius: 2px; margin: 0 auto; }

#a7consent-selection-show ul
{ list-style-type: none; padding: 0; margin: 1em 0; }

#a7consent-selection-show .a7consent-more, #a7consent-selection-show .a7consent-hide
{ display: block; cursor: pointer; margin-top: 1em; }

#a7consent-selection-show .a7consent-more.a7consent-show
{ display: none; }

#a7consent-selection-show .a7consent-hide:not(.a7consent-show)
{ display: none; }

#a7consent-selection-show .a7consent-details
{ transition: max-height 300ms, margin-top 300ms, margin-bottom 300ms; max-height: 30em; }

#a7consent-selection-show .a7consent-details:not(.a7consent-show)
{ overflow: hidden; }

#a7consent-selection-show .a7consent-details:not(.a7consent-show)
{ max-height: 0; margin-top: -1em; margin-bottom: 0; }

#a7consent-selection-show .legallinks
{ margin-top: 1em; margin-bottom: 1em; }

#a7consent-selection-show .legallinks a
{ margin-right: 1em; }

#a7consent-selection-show .legallinks a:last-child
{ margin-right: 0; }
